#include <stdlib.h>
#include <libspe2.h>

int 
main()
{
  unsigned int          createflags = 0;
  unsigned int          runflags    = 0;
  unsigned int          entry       = SPE_DEFAULT_ENTRY;
  void*                 argp        = NULL;
  void*                 envp        = NULL;

  spe_program_handle_t* program     = spe_image_open("spu_hello");
  spe_context_ptr_t     spe         = spe_context_create(createflags, NULL);
  spe_stop_info_t       stop_info;

  spe_program_load(spe, program);
  spe_context_run(spe, &entry, runflags, argp, envp, &stop_info);
  spe_image_close(program);
  spe_context_destroy(spe);

  return (0);
}
